org.apache.xml.dtm.ref.sax2dtm

## Class SAX2DTM2.TypedPrecedingIterator

- java.lang.Object
- - org.apache.xml.dtm.ref.DTMAxisIteratorBase
  - - org.apache.xml.dtm.ref.DTMDefaultBaseIterators.InternalAxisIteratorBase
    - - org.apache.xml.dtm.ref.sax2dtm.SAX2DTM2.PrecedingIterator
      - - org.apache.xml.dtm.ref.sax2dtm.SAX2DTM2.TypedPrecedingIterator

- All Implemented Interfaces:
    java.lang.Cloneable, DTMAxisIterator
  Enclosing class:
    SAX2DTM2

      public final class SAX2DTM2.TypedPrecedingIterator
      extends SAX2DTM2.PrecedingIterator

  Iterator that returns preceding nodes of agiven type for a given node. This includes the node set {root+1, start-1}, but excludes all ancestors.

- - ### Field Summary

    - ### Fields inherited from interface org.apache.xml.dtm.DTMAxisIterator

      `END`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SAX2DTM2.TypedPrecedingIterator(int type)` Constructor TypedPrecedingIterator

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `next()` Get the next node in the iteration.

    - ### Methods inherited from class org.apache.xml.dtm.ref.sax2dtm.SAX2DTM2.PrecedingIterator

      `cloneIterator, gotoMark, isReverse, reset, setMark, setStartNode`

    - ### Methods inherited from class org.apache.xml.dtm.ref.DTMAxisIteratorBase

      `getAxis, getLast, getNodeByPosition, getPosition, getStartNode, includeSelf, isDocOrdered, setRestartable`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SAX2DTM2.TypedPrecedingIterator

          public SAX2DTM2.TypedPrecedingIterator(int type)

      Constructor TypedPrecedingIterator
      Parameters:
        `type` - The extended type ID being requested.

  - ### Method Detail

    - #### next

          public int next()

      Get the next node in the iteration.
      Specified by:
        `next` in interface `DTMAxisIterator`
      Overrides:
        `next` in class `SAX2DTM2.PrecedingIterator`
      Returns:
        The next node handle in the iteration, or END.

Copyright © 2014 Apache XML Project. All Rights Reserved.